# Uses of Class
com.google.testing.compile.JavaSourcesSubject.SingleSourceAdapter

## Uses of JavaSourcesSubject.SingleSourceAdapter in com.google.testing.compile

Subclasses with type arguments of type JavaSourcesSubject.SingleSourceAdapter in com.google.testing.compile
Modifier and Type
Class
Description
`static final class`
`JavaSourcesSubject.SingleSourceAdapter`
Classes in com.google.testing.compile that implement interfaces with type arguments of type JavaSourcesSubject.SingleSourceAdapter
Modifier and Type
Class
Description
`final class`
`JavaSourceSubjectFactory`
A Truth `Subject.Factory` similar to `JavaSourcesSubjectFactory`, but for working with single source files.
Methods in com.google.testing.compile that return JavaSourcesSubject.SingleSourceAdapter
Modifier and Type
Method
Description
`JavaSourcesSubject.SingleSourceAdapter`
JavaSourceSubjectFactory.`createSubject(com.google.common.truth.FailureMetadata failureMetadata, @Nullable JavaFileObject subject)`